<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Detail Rekap Tagihan</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Rekapan Tagihan</span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row mb-4">
            <div class="col-md-12 col-xs-12">
                <div class="card shadow">
                    <div class="card-body">
                        <div class="card-shadow">
                            <div class="row">
                                <div class="col-md-6 col-xs-12">
                                    <div class="table-responsive">
                                        <table class="table align-items-center table-flush">
                                            <tr>
                                                <td class="text-right">Nama Mahasiswa</td>
                                                <td>:</td>
                                                <td th:text="${mhs.nama}"></td>
                                            </tr>
                                            <tr>
                                                <td class="text-right">Program Studi</td>
                                                <td style="width: 5px;">:</td>
                                                <td th:text="${mhs.idProdi.namaProdi}"></td>
                                            </tr>
<!--                                            <tr>-->
<!--                                                <td class="text-right">Jumlah Sks</td>-->
<!--                                                <td>:</td>-->
<!--                                                <td th:text="${jumlahSks}"></td>-->
<!--                                            </tr>-->
                                        </table>
                                    </div>
                                </div>
                                <div class="col-md-6 col-xs-12">
                                    <div class="table-responsive">
                                        <table class="table align-items-center table-flush">
                                            <tr>
                                                <td class="text-right">NIM</td>
                                                <td >:</td>
                                                <td th:text="${mhs.nim}"></td>
                                            </tr>
                                            <tr>
                                                <td class="text-right" >Program Pendidikan</td>
                                                <td style="width: 5px;">:</td>
                                                <td th:text="${mhs.idProgram.namaProgram}"></td>
                                            </tr>
<!--                                            <tr>-->
<!--                                                <td class="text-right">Status Semester</td>-->
<!--                                                <td>:</td>-->
<!--                                                <td th:if="${status == null}">Nonaktif (<text th:text="${mhs.statusAktif}"></text>)</td>-->
<!--                                                <td th:if="${status}">Aktif (<text th:text="${mhs.statusAktif}"></text>)</td>-->
<!--                                            </tr>-->
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12 col-xs-12">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
<!--                            <div class="col-md-1">-->
<!--                                <h3 class="mb-0">Angkatan : <div th:text="${angkatan}"></div></h3>-->
<!--                            </div>-->
                            <div class="col pull-right">
                                <div class="row">
                                    <div class="col-md-12 col-xs-12 col-sm-12">
                                        <button type="button" class="btn btn-success btn-sm"><a class="text-white pull-left" th:href="@{/rekapTagihan/detailMahasiswa(nim=${mhs.nim})}"><i class="fas fa-download"> </i> Download</a></button>
                                        <a class="btn btn-sm btn-primary" th:href="@{/studentBill/rekapTagihan/detailAsli(nim=${mhs.nim})}">Detail tagihan akunting</a>
                                    </div>
                                </div>
                            </div>
                            <div class="col text-right">
                                <div th:if="${selectTahun == null}">
                                    <a th:href="@{/studentBill/rekapTagihan/list(angkatan=${mhs.angkatan})}" class="btn btn-sm btn-default"><i class="fas fa-arrow-alt-circle-left"></i> Kembali</a>
                                </div>
                                <div th:if="${selectTahun != null}">
                                    <a th:href="@{/studentBill/rekapTagihan/list(angkatan=${mhs.angkatan}, tahunAkademik=${selectTahun})}" class="btn btn-sm btn-default"><i class="fas fa-arrow-alt-circle-left"></i> Kembali</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="card-shadow">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="table-responsive">
                                        <table class="table align-items-center table-flush table-striped">
                                            <thead class="thead-light">
                                            <tr>
                                                <th class="text-center">#</th>
                                                <th>Tahun Akademik</th>
                                                <th>keterangan</th>
                                                <th>Tanggal Ditagihkan</th>
                                                <th>Tagihan</th>
                                                <th>Tanggal Dibayar</th>
                                                <th>Dibayar</th>
                                                <th>Sisa</th>
<!--                                                <th>Status Mahasiswa</th>-->
<!--                                                <th>Beasiswa</th>-->
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <tr th:each="data, row:${listDetail}">
                                                <td th:text="${(row.index + 1)}">1</td>
                                                <td th:text="${data[1]}"></td>
                                                <td th:text="${data[2]}"></td>
                                                <td th:text="${data[3]}"></td>
                                                <td th:text="${'Rp. ' + #numbers.formatDecimal(data[4], 0, 'POINT', 2, 'COMMA')}"></td>
                                                <td th:text="${data[5]}"></td>
                                                <td th:text="${'Rp. ' + #numbers.formatDecimal(data[6], 0, 'POINT', 2, 'COMMA')}"></td>
                                                <td th:text="${'Rp. ' + #numbers.formatDecimal(data[7], 0, 'POINT', 2, 'COMMA')}"></td>
                                            </tr>
                                            <tr>
                                                <td class="text-center" colspan="4"><h5>Total : </h5></td>
                                                <td><h5 th:text="${'Rp. ' + #numbers.formatDecimal(totalTagihan, 0, 'POINT', 2, 'COMMA')}"></h5></td>
                                                <td></td>
                                                <td><h5 th:text="${'Rp. ' + #numbers.formatDecimal(totalDibayar, 0, 'POINT', 2, 'COMMA')}"></h5></td>
                                                <td><h5 th:text="${'Rp. ' + #numbers.formatDecimal(totalTagihan - totalDibayar, 0, 'POINT', 2, 'COMMA')}"></h5></td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>